import ProductSection from "../sections/ProductSection";
import IconRenderer from "../common/renderer/IconRenderer";

const ProductInternalContent = ({ section, hidden }) => {



  console.log(section)
  return (
    <ProductSection hidden={hidden} section={section}>
      <div className="w-full grid grid-cols-1 lg:grid-cols-2 gap-y-6">
        {section?.content?.map((item, index) => (
          <div className="flex gap-2 " key={index.toString()}>
            <IconRenderer iconName={item.icon} size="24" color="#71C9CD" />
            <strong>{item.text}</strong>
          </div>
        ))}
      </div>
    </ProductSection>
  );
};

export default ProductInternalContent;
